import 'package:flutter/material.dart';
import 'dart:async';

import 'package:flutter/services.dart';
import 'package:in_app_purchasing/in_app_purchasing.dart';

void main() {
  runApp(MyApp());
}

class MyApp extends StatefulWidget {
  @override
  _MyAppState createState() => _MyAppState();
}

class _MyAppState extends State<MyApp> {
  String _platformVersion = 'Unknown';
  var iap = InAppPurchasing();

  @override
  void initState() {
    super.initState();
    iap.addListener(_onConnected,_onPurchaseSuccess,_onError);
    initPlatformState();
  }

  // Platform messages are asynchronous, so we initialize in an async method.
  Future<void> initPlatformState() async {
   iap.connectClient();
  }

  void _onConnected() {
    iap.makePurchase("demo_100");
  }
  void _onPurchaseSuccess(String product) {
    print(product);
  }
  void _onError(String msg) {
    print(msg);
  }

  @override
  Widget build(BuildContext context) {
    return MaterialApp(
      home: GestureDetector(
        onTap: (){
          initPlatformState();
        },
        child: Scaffold(
          appBar: AppBar(
            title: const Text('Plugin example app'),
          ),
          body: Center(
            child: Text('Running on: $_platformVersion\n'),
          ),
        ),
      ),
    );
  }

}
